<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="style.css" />
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css"
    />
    <title>Mon Budget App</title>
  </head>
  <body>
    <div class="container">
      <p id="error_msg"></p>
      <div class="title">
        <h1 class="title">
          Mon Budget <a href="#"><i class="fa fa-money"></i></a>
        </h1>
      </div>

      <h3></h3>
      <form id="form">
        <div class="form-control">
          <label for="text" style="color:#ffffff">Description</label>
          <input
            type="text"
            id="text"
            onfocus="this.value=''"
            placeholder="Entrer un texte..."
          />
        </div>
        <div class="form-control">

          <label for="amount" style="color:#ffffff">Valeur(+/-) <br /> </label>
          <input
            type="number"
            id="amount"
            onfocus="this.value=''"
            placeholder="Entrer une valeur..."
          />
        </div>
        <div class="form-control">
          <label for="date" style="color:#ffffff">Date<br /> </label>
          <input
            type="date"
            id="date"
          />
        </div>
        <button class="btn">Ajouter la transaction</button>
      </form>
      <br />

      <div class="income-expense">
        <div class="bg-dark">
          <h4>Rentrer</h4>
          <p class="income" id="income">€0.00</p>
        </div>
        <div class="bg-dark">
          <h4>Sortie</h4>
          <p class="expense" id="expense">€0.00</p>
        </div>
        <div class="bg-dark">
          <h4>Solde</h4>
          <p id="balance">€0.00</p>
        </div>
      </div>
      <h3>Historique</h3>
      
      <ul id="list" class="list"></ul>
      <footer>
        
      </footer>
    </div>
    <script type="module" src="/src/main.ts"></script>
  </body>
</html>